Package fr.gouv.vitam.batch.report.model.entry

# Class BulkUpdateUnitMetadataReportEntry

java.lang.Object
fr.gouv.vitam.batch.report.model.entry.ReportEntry
fr.gouv.vitam.batch.report.model.entry.BulkUpdateUnitMetadataReportEntry

public class BulkUpdateUnitMetadataReportEntry extends ReportEntry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MESSAGE`
  `static final String`
  `PROCESS_ID`
  `static final String`
  `QUERY`
  `static final String`
  `RESULT_KEY`
  `static final String`
  `STATUS`
  `static final String`
  `STATUS_ID`
  `static final String`
  `TENANT_ID`
  `static final String`
  `UNIT_ID`

  ### Fields inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `DETAIL_ID, DETAIL_TYPE, OUTCOME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BulkUpdateUnitMetadataReportEntry(Integer tenantId, String processId, String detailId, String query, String unitId, String resultKey, StatusCode status, String outcome, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getMessage()`
  `String`
  `getProcessId()`
  `String`
  `getQuery()`
  `String`
  `getResultKey()`
  `StatusCode`
  `getStatus()`
  `Integer`
  `getStatusId()`
  `Integer`
  `getTenantId()`
  `String`
  `getUnitId()`
  `int`
  `hashCode()`

  ### Methods inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `getDetailId, getDetailType, getOutcome`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESULT_KEY

    public static final String RESULT_KEY
    See Also:
      - Constant Field Values

  - ### PROCESS_ID

    public static final String PROCESS_ID
    See Also:
      - Constant Field Values

  - ### TENANT_ID

    public static final String TENANT_ID
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### QUERY

    public static final String QUERY
    See Also:
      - Constant Field Values

  - ### UNIT_ID

    public static final String UNIT_ID
    See Also:
      - Constant Field Values

  - ### MESSAGE

    public static final String MESSAGE
    See Also:
      - Constant Field Values

  - ### STATUS_ID

    public static final String STATUS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BulkUpdateUnitMetadataReportEntry

    public BulkUpdateUnitMetadataReportEntry(Integer tenantId, String processId, String detailId, String query, String unitId, String resultKey, StatusCode status, String outcome, String message)

- ## Method Details

  - ### getResultKey

    public String getResultKey()

  - ### getStatus

    public StatusCode getStatus()

  - ### getMessage

    public String getMessage()

  - ### getTenantId

    public Integer getTenantId()

  - ### getProcessId

    public String getProcessId()

  - ### getStatusId

    public Integer getStatusId()

  - ### getQuery

    public String getQuery()

  - ### getUnitId

    public String getUnitId()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`